#### D.15.3.21 chProdLP

Procedure from library `chern.lib` (see chern_lib).

Usage:
  chProdLP(r, c, R, C); r, R integers; c, C lists of polynomials

Return:
  polynomial

Purpose:
  computes the total Chern class of the product of two vector bundles in terms of their ranks and Chern clases

Note:
  Implementation of the formula of Lascoux, the Schur polynomials are computed using the second Jacobi-Trudi formula (in terms of the Chern classes)

Example:

    LIB "chern.lib";
    // The total Chern class of the tensor product of a vector bundle of rank 3
    // with Chern classes c(1), c(2), c(3) and a vector bundle of rank 1 with
    // Chern class C(1)
    ring r = 0, ( c(1..3), C(1)), ws(1,2,3, 1);
    list c=c(1..3);
    list C=C(1);
    print( chProdLP(3,c,1,C) );
    ==> 1+c(1)+3*C(1)+c(2)+2*c(1)*C(1)+3*C(1)^2+c(3)+c(2)*C(1)+c(1)*C(1)^2+C(1)^3

User manual for Singular version 4-0-3, 2016, generated by texi2html.